{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}


{% block demosplanbundlecontent %}

<form
    action="{{ path('dplan_procedure_mail_send_all_submitters_send', {'procedureId': templateVars.procedureId}) }}"
    method="post"
    data-dp-validate
>

    <fieldset>
        <legend>
            <h1>
                {{ 'procedure.mail.submitters.write'|trans }}
            </h1>
        </legend>

        <p>{{ 'procedure.mail.submitters.help'|trans }}</p>

        {% if templateVars.mailsCount == 0 %}
        <p class="flash flash-info">
            {{ 'procedure.mail.submitters.none.hint'|trans}}
        </p>
        {% endif %}

        {{ uiComponent('form.row', {
            elements: [
                {
                    label: { text: 'subject'|trans },
                    control: { name: 'r_email_subject', attributes: ['maxlength=78'] },
                    id: 'r_email_subject',
                    type: 'text',
                    required: true,
                    value: templateVars.preparationMail.mailSubject
                }
            ]
        }) }}

        <div class="{{ 'u-mb-0_75'|prefixClass }}">
            <dp-label
                for="r_email_body"
                text="{{ 'email.body'|trans }}">
            </dp-label>
            <dp-editor
                id="r_email_body"
                ref="r_email_body"
                hidden-input="r_email_body"
                :toolbar-items="{
                    headings: [1, 2, 3],
                    linkButton: true
                }"
                required
                value="{{ templateVars.preparationMail.mailBody }}">
                <template v-slot:modal="modalProps">
                    <dp-boiler-plate-modal
                        ref="boilerPlateModal"
                        boiler-plate-type="email"
                        procedure-id="{{ templateVars.procedureId }}"
                        @insert="text => modalProps.handleInsertText(text)">
                    </dp-boiler-plate-modal>
                </template>
                <template v-slot:button>
                    <button
                        class="{{ 'menubar__button'|prefixClass }}"
                        type="button"
                        v-tooltip="'{{ 'boilerplate.insert'|trans }})'"
                        @click.stop="$refs.boilerPlateModal.toggleModal()">
                        <i class="{{ 'fa fa-puzzle-piece'|prefixClass }}"></i>
                    </button>
                </template>
            </dp-editor>
        </div>

        <dp-checkbox
            id="r_email_address"
            checked
            :label="{
                text: Translator.trans('procedure.testmail.submitters.send', { email: '{{ templateVars.userMail }}' }),
                tooltip: Translator.trans('explanation.organisation.email.procedure.agency')
            }"
            name="r_email_address"
            required
            valueToSend="{{ templateVars.preparationMail.sendMail }}">
        </dp-checkbox>

        <div class="text-right">
            <button
                    class="btn btn--primary"
                    data-cy="emailContinueConfirm"
                    type="submit"
                    name="send"
                    {% if templateVars.mailsCount == 0 %}disabled="disabled"
                    class="bg-color--grey"
                {% endif %}
            >
                {{ 'continue.confirm'|trans }}
                <i class="fa fa-angle-right u-pl-0_25" aria-hidden="true"></i>
            </button>
        </div>

    </fieldset>
</form>

{% endblock demosplanbundlecontent %}

{#  bundles generated via webpack/gulp build are included here  #}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['procedure-administrationSendEmail.js']) }}
{% endblock javascripts %}
